package com.bytedance.android.livesdk.livesetting.game;

import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("highlight_function_switcher")
public final class HighLightFunctionSetting {
    @Group(isDefault = true, value = "default group")
    public static final int CLOSE = 0;
    public static final HighLightFunctionSetting INSTANCE = new HighLightFunctionSetting();
    @Group("experiment_group")
    public static final int OPEN = 1;

    static {
        Covode.recordClassIndex(17802);
    }

    public final int getValue() {
        return SettingsManager.INSTANCE.getIntValue(HighLightFunctionSetting.class);
    }

    public final boolean isOpen() {
        if (getValue() != 0) {
            return true;
        }
        return false;
    }
}
